<?php
/**
 * WCFM plugin view
 *
 * WCFMgs Memberships Template
 *
 * @author 		WC Lovers
 * @package 	wcfmvm/templates
 * @version   1.0.0
 */

global $WCFM, $WCFMvm;

$wcfm_membership_options = get_option( 'wcfm_membership_options', array() );
$membership_feature_lists = array();
if( isset( $wcfm_membership_options['membership_features'] ) ) $membership_feature_lists = $wcfm_membership_options['membership_features'];
if( empty($membership_feature_lists) ) return;

$wcfm_memberships = get_wcfm_memberships();

if( empty($wcfm_memberships) ) return;
?>

<div id="wcfm_membership_container">
  <div class="wcfm_membership_boxes">
    <div class="wcfm_membership_box wcfm_membership_feature_box">
      <div class="wcfm_membership_box_head wcfm_membership_feature_box_head"><div class="wcfm_membership_title">&nbsp;</div></div>
      
      <div class="wcfm_membership_box_body wcfm_membership_feature_box_body">
        <?php
        foreach( $membership_feature_lists as $membership_feature_list ) {
        	?>
        	<div class="wcfm_membership_element wcfm_membership_feature_element">
        	  <?php echo  $membership_feature_list['feature']; ?>
        	</div>
        	<?php
        }
        ?>
      </div>
      
      <div class="wcfm_membership_box_foot wcfm_membership_feature_box_foot">&nbsp;</div>
    </div>
    <?php
    foreach( $wcfm_memberships as $wcfm_membership ) {
    	$wcfm_membership_id = $wcfm_membership->ID;
    	$subscription = (array) get_post_meta( $wcfm_membership_id, 'subscription', true );
    	$features = (array) get_post_meta( $wcfm_membership_id, 'features', true );
    	
    	$is_free = isset( $subscription['is_free'] ) ? 'yes' : 'no';
    	$subscription_type = isset( $subscription['subscription_type'] ) ? $subscription['subscription_type'] : 'one_time';
			$one_time_amt = isset( $subscription['one_time_amt'] ) ? $subscription['one_time_amt'] : '1';
			$trial_amt = isset( $subscription['trial_amt'] ) ? $subscription['trial_amt'] : '';
			$trial_period = isset( $subscription['trial_period'] ) ? $subscription['trial_period'] : '';
			$trial_period_type = isset( $subscription['trial_period_type'] ) ? $subscription['trial_period_type'] : 'M';
			$billing_amt = isset( $subscription['billing_amt'] ) ? $subscription['billing_amt'] : '1';
			$billing_period = isset( $subscription['billing_period'] ) ? $subscription['billing_period'] : '1';
			$billing_period_type = isset( $subscription['billing_period_type'] ) ? $subscription['billing_period_type'] : 'M';
			$period_options = array( 'D' => __( 'Day(s)', 'wc-frontend-manager-vendor-membership' ), 'M' => __( 'Month(s)', 'wc-frontend-manager-vendor-membership' ), 'Y' => __( 'Year(s)', 'wc-frontend-manager-vendor-membership' ) );
    	
    	?>
    	<div class="wcfm_membership_box">
				<div class="wcfm_membership_box_head">
				  <div class="wcfm_membership_title">
				    <?php echo $wcfm_membership->post_title; ?>
				  </div>
				  <div class="wcfm_membership_price">
				    <?php 
				    if( $is_free == 'yes' ) {
				    	echo wc_price(0);
				    	echo '<div class="wcfm_membership_price_description">' . __( 'No payment required', 'wc-frontend-manager-vendor-membership' ) . '</div>';
				    } else {
				    	if( $subscription_type == 'one_time' ) {
				    		echo wc_price($one_time_amt);
				    		echo '<div class="wcfm_membership_price_description">' . __( 'One time payment', 'wc-frontend-manager-vendor-membership' ) . '</div>';
				    	} else {
				    		echo wc_price($billing_amt);
				    		$price_description = sprintf( __( 'for each %s %s', 'wc-frontend-manager-vendor-membership' ), $billing_period, $period_options[$billing_period_type] );
				    		if( !empty( $trial_period ) && !empty( $trial_amt ) ) {
				    			$price_description .= ' ' . sprintf( __( 'with %s for first %s %s', 'wc-frontend-manager-vendor-membership' ), get_woocommerce_currency_symbol() . $trial_amt, $trial_period, $period_options[$trial_period_type] );
				    		}
				    		echo '<div class="wcfm_membership_price_description">' . $price_description . '</div>';
				    	}
				    }
				    ?>
				  </div>
				  <div class="wcfm_membership_description">
				    <?php echo $wcfm_membership->post_excerpt; ?>
				  </div>
				</div>
				
				<div class="wcfm_membership_box_body">
					<?php
					foreach( $membership_feature_lists as $membership_feature_list ) {
						$feature_val = 'x';
						if( !empty( $features ) && isset( $features[$membership_feature_list['feature']] ) && !empty( $features[$membership_feature_list['feature']] ) ) $feature_val = $features[$membership_feature_list['feature']];
						?>
						<div class="wcfm_membership_element">
							<?php echo $feature_val; ?>
						</div>
						<?php
					}
					?>
				</div>
				
				<div class="wcfm_membership_box_foot">
				  <input class="wcfm_membership_subscribe_button wcfm_submit_button button" type="button" data-membership="<?php echo $wcfm_membership_id; ?>" value="<?php echo "Subscribe Now"; ?>">
				</div>
			</div>
    	<?php
    }
    ?>
  </div>
</div>