<?php
/**
 * WCFM plugin view
 *
 * WCFMgs Memberships Template
 *
 * @author 		WC Lovers
 * @package 	wcfmvm/templates
 * @version   1.0.0
 */

global $WCFM, $WCFMvm;

$user_id = 0;
$user_name = '';
$user_email = '';
$first_name = '';
$last_name = '';
$store_name = '';

if( is_user_logged_in() ) {
	$user_id = get_current_user_id();
	$current_user = get_userdata( $user_id );
	// Fetching User Data
	if( $current_user && !empty( $current_user ) ) {
		$user_name  = $current_user->user_login;
		$user_email = $current_user->user_email;
		$first_name = $current_user->first_name;
		$last_name  = $current_user->last_name;
		$store_name = get_user_meta( $user_id, 'store_name', true );
	}
}

?>

<div id="wcfm_membership_container">
  <form id="wcfm_membership_registration_form" class="wcfm">
		<div class="wcfm-container">
	    <div id="wcfm_membership_registration_form_expander" class="wcfm-content">
				<?php
				do_action( 'begin_wcfm_membership_registration_form' );
				 if( $user_id ) {
						$WCFM->wcfm_fields->wcfm_generate_form_field(  array( 
																																"user_name" => array( 'label' => __('Username', 'wc-frontend-manager-vendor-membership') , 'type' => 'text', 'custom_attributes' => array( 'required' => 1 ), 'attributes' => array( 'readonly' => true ), 'class' => 'wcfm-text wcfm_ele ', 'label_class' => 'wcfm_ele wcfm_title', 'value' => $user_name ),
																																"user_email" => array( 'label' => __('Email', 'wc-frontend-manager-vendor-membership') , 'type' => 'text', 'custom_attributes' => array( 'required' => 1 ), 'attributes' => array( 'readonly' => true ), 'class' => 'wcfm-text wcfm_ele ', 'label_class' => 'wcfm_ele wcfm_title', 'value' => $user_email ),
																																"member_id" => array( 'type' => 'hidden', 'value' => $user_id )
																																) );
					} else {
						$WCFM->wcfm_fields->wcfm_generate_form_field(  array( 
																																"user_name" => array( 'label' => __('Username', 'wc-frontend-manager-vendor-membership') , 'type' => 'text', 'custom_attributes' => array( 'required' => 1 ), 'class' => 'wcfm-text wcfm_ele ', 'label_class' => 'wcfm_ele wcfm_title', 'value' => $user_name ),
																																"user_email" => array( 'label' => __('Email', 'wc-frontend-manager-vendor-membership') , 'type' => 'text', 'custom_attributes' => array( 'required' => 1 ), 'class' => 'wcfm-text wcfm_ele ', 'label_class' => 'wcfm_ele wcfm_title', 'value' => $user_email )
																																) );
					}
										
					$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'wcfm_membership_registration_fields', array(  
																																									"first_name" => array( 'label' => __('First Name', 'wc-frontend-manager-vendor-membership') , 'type' => 'text', 'custom_attributes' => array( 'required' => 1 ), 'class' => 'wcfm-text wcfm_ele ', 'label_class' => 'wcfm_ele wcfm_title', 'value' => $first_name ),
																																									"last_name" => array( 'label' => __('Last Name', 'wc-frontend-manager-vendor-membership') , 'type' => 'text', 'custom_attributes' => array( 'required' => 1 ), 'class' => 'wcfm-text wcfm_ele ', 'label_class' => 'wcfm_ele wcfm_title', 'value' => $last_name ),
																																									"store_name" => array( 'label' => __('Store Name', 'wc-frontend-manager-vendor-membership') , 'type' => 'text', 'custom_attributes' => array( 'required' => 1 ), 'class' => 'wcfm-text wcfm_ele ', 'label_class' => 'wcfm_ele wcfm_title', 'value' => $store_name ),
																																	   ) ) );
					
					if( !$user_id ) {
						$WCFM->wcfm_fields->wcfm_generate_form_field(  array( 
																																	"passoword" => array( 'label' => __('Password', 'wc-frontend-manager-vendor-membership') , 'type' => 'password', 'custom_attributes' => array( 'required' => 1, 'mismatch_message' => __( 'Password and Confirm-password are not same.', 'wc-frontend-manager-vendor-membership' ) ), 'class' => 'wcfm-text wcfm_ele ', 'label_class' => 'wcfm_ele wcfm_title', 'value' => '' ),
																																	"confirm_pwd" => array( 'label' => __('Confirm Password', 'wc-frontend-manager-vendor-membership') , 'type' => 'password', 'custom_attributes' => array( 'required' => 1 ), 'class' => 'wcfm-text wcfm_ele ', 'label_class' => 'wcfm_ele wcfm_title', 'value' => '' ),
																																) ) ;
					}
					
					do_action( 'end_wcfm_membership_registration_form' );
				?>
			</div>
			<div class="wcfm-clearfix"></div>
		</div>
		
		<div class="wcfm-message" tabindex="-1"></div>
			
		<div id="wcfm_membership_registration_submit" class="wcfm_form_simple_submit_wrapper">
			<input type="submit" name="save-data" value="<?php if( $user_id ) { _e( 'Confirm', 'wc-frontend-manager-vendor-membership' ); } else { _e( 'Register', 'wc-frontend-manager-vendor-membership' ); } ?>" id="wcfm_membership_register_button" class="wcfm_submit_button" />
		</div>
		<div class="wcfm-clearfix"></div>
	</form>
</div>