<?php
/**
 * Plugin Name: WooCommerce Multivendor Membership
 * Plugin URI: http://wclovers.com
 * Description: A simple membership plugin for your multi-vendor marketplace.
 * Author: WC Lovers
 * Version: 1.0.0
 * Author URI: http://wclovers.com
 *
 * Text Domain: wc-frontend-manager-vendor-membership
 * Domain Path: /lang/
 *
 * WC requires at least: 3.0.0
 * WC tested up to: 3.2.0
 *
 */

if(!defined('ABSPATH')) exit; // Exit if accessed directly

if ( ! class_exists( 'WCFMvm_Dependencies' ) )
	require_once 'helpers/class-wcfmvm-dependencies.php';

require_once 'helpers/wcfmvm-core-functions.php';
require_once 'wc_frontend_manager_vendor_membership_config.php';

if(!defined('WCFMvm_TOKEN')) exit;
if(!defined('WCFMvm_TEXT_DOMAIN')) exit;


if(!WCFMvm_Dependencies::woocommerce_plugin_active_check()) {
	add_action( 'admin_notices', 'wcfmvm_woocommerce_inactive_notice' );
} else {

	if(!WCFMvm_Dependencies::wcfm_plugin_active_check()) {
		add_action( 'admin_notices', 'wcfmvm_wcfm_inactive_notice' );
	} else {
		if(!class_exists('WCFMvm')) {
			require_once( 'core/class-wcfmvm.php' );
			global $WCFMvm;
			$WCFMvm = new WCFMvm( __FILE__ );
			$GLOBALS['WCFMvm'] = $WCFMvm;
			
			// Activation Hooks
			register_activation_hook( __FILE__, array('wcfmvm', 'activate_wcfmvm') );
			register_activation_hook( __FILE__, 'flush_rewrite_rules' );
			
			// Deactivation Hooks
			register_deactivation_hook( __FILE__, array('wcfmvm', 'deactivate_wcfmvm') );
		}
	}
}
?>